{instruments: [{name: Instrument 1, parameters: {amplitude: {data: [1, 1, 1, 15, 15,
            15, 15, 6, 6, 6, 15, 15, 15, 15, 15, 15, 11, 11, 11, 15, 15], loop: 255,
          period: 1, release: 255}, argpegio: {}, duty: {}, pan: {}, pitch: {}, reset_phase: {}},
      type: sn76489}, {name: Instrument 1, parameters: {amplitude: {data: [0, 0, 15,
            15, 15, 7, 7, 15, 15, 1, 1, 1, 15, 15], loop: 255, period: 1, release: 255},
        argpegio: {}, duty: {}, pan: {}, pitch: {}, reset_phase: {}}, type: sn76489}],
  metadata: {author: '', comment: '', format_version: 1, title: ''}, pattern_size: 10,
  patterns: [[['---', '---', '---', '---', '---', '---', '---', '---', C-4|i00|v0f,
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', C-4|i00,
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', C-4|i00,
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', C-4|i00,
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', C-4|i01,
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', G-3|i00, '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', C-4|i00, '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', C-3|i01, '---']]], tempo: {
    rows_per_beat: 4, speed: 4, tempo_bpm: 225.0, ticks_per_second: 60.0, virtual_tempo: [
      150, 150]}}
